#
# spec file for package drm
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# needssslcertforbuild

%define rename_symbols	1
%define rename_modules	1
%define vlv_only 1

%define kernel_version 3.12.33

Name:           drm
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL-2.0
Url:            http://kernel.org/
Group:          System/Kernel
AutoReqProv:    on
Summary:        Backported i915 and drm kernel modules for VLV support
ExclusiveArch:  %ix86 x86_64
Version:        3.12
Release:        0.19.1
Source0:        drm-%{kernel_version}.tar.bz2
Source2:        Makefile
Source10:       vlvpatches.tar.bz2
Source11:       series.conf
Source12:       i915-vlv
Source98:       extra_files
Source99:       preamble
# sle12 patches
Patch1001:      drm-Print-EDID-errors-less-obviously.patch
Patch1002:      drm-panic-Only-restore-console-if-kernel-isn-t-set-to-reboot-on-panic.patch
Patch1003:      drm-panic-Set-priority-of-the-drm-panic-code-to-the-lowest-value-possible.patch
Patch1004:      drm-panic-Add-option-to-set-panic-mode.patch
Patch1005:      drm-i915-don-t-disable-ERR_INT-on-the-IRQ-handler.patch
Patch1006:      drm-i915-hsw-resume-warning-fix
Patch1007:      drm-i915-Move-DP-port-disable-to-post_disable-for-pch-platforms.patch
# build fix
Patch101:       101-acpi-video-fix.diff
Patch102:       102-no-linux-export-h.diff
Patch104:       104-revert-vm_mmap.diff
Patch107:       107-revert-kmalloc_array.diff
Patch108:       108-define-SIZE_MAX.diff
Patch109:       109-1-revert-vga_swticheroo.diff
Patch113:       113-pci-exp-cap2.diff
Patch117:       117-define-kuid_t.diff
Patch118:       118-revert-VM_DONTDUMP.diff
Patch119:       119-revert-pcie_capability_x_word.diff
Patch121:       121-revert-use-of-memchr_inv.diff
Patch122:       122-revert-monotonic-vblank.diff
Patch123:       123-use-pm_qos_params_h.diff
Patch130:       130-disable-dma-buf.diff
Patch131:       131-revert-file_inode.diff
Patch132:       132-no-videomode.diff
Patch133:       133-idr_alloc-revert.diff
Patch134:       134-hlist_for_each_entry-revert.diff
Patch135:       135-hdmi-avi-helper-disable.diff
Patch136:       136-fix-CONFIG_INTEL_IOMMU-references.diff
Patch138:       138-revert-cap-async-page-flip.diff
Patch139:       139-revert-wc-pat.diff
Patch140:       140-sg_page_iter-add.diff
Patch141:       141-remove-preliminary-kconfig.diff
Patch142:       142-mod_delayed_work-hack.diff
Patch143:       143-revert-msrr-rapl.diff
Patch144:       144-fix-shrinker.diff
Patch145:       145-drm_gem-fixes.diff
Patch146:       146-mtrr-leak-revert.diff
Patch147:       147-revert-arch_phys_wc.diff
Patch148:       148-DMI_EXACT_MATCH.diff
Patch149:       149-revert-no-vt-switch.diff
Patch150:       150-revert-sg_alloc_table_from_pages.diff
Patch151:       151-add-hdmi_c.diff
Patch152:       152-i915-acpi-handle-fixes.diff
# support only Baytrail
Patch198:       198-Limit-supported-ASICs-to-ASICs-in-systems-listed-in-FATE-317933.patch
# build stubs
Patch200:       200-drm-kmp-compat-builds.diff
Patch201:       201-makefile-include-fixes.diff
Patch202:       202-makefile-include-renames.diff
Patch203:       203-module-supported.diff
Patch204:       204-intel-gtt.diff
Patch205:       205-Fix-Makefile-allowing-to-prefix-drm.ko-drm_kms_helper.ko-and-ttm.ko.patch
Patch206:       206-Add-a-suffix-to-the-i915-driver-module.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# specify the -b option as this module needs to go into intrd. 
# The heuristics checking if the initrd needs to be recreated
# will fail here as this module isn't present in the initrd
# if this module got installed for the first time.
%kernel_module_package -p %{SOURCE99} -f %{S:98} -b pae default

%description
Backported drm kernel modules, Providing support for 
ValleyView graphics on Intel BayTrail.
NOTE: Please DO NOT install unless you find the 
following PCI IDs in your system:
VendorID: 0x8086  DeviceID: 0x0f31


%prep
%setup -q -c -n %{name} -T -a 0 -a 10
#
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
#
for i in $(grep '^[[:space:]]*patches' %{S:11}); do
    patch -p1 -s -i $i || exit 1
done
#
%patch101 -p1
if [ ! -f /usr/src/linux/include/linux/export.h ]; then
%patch102 -p1
fi
%patch104 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch113 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%if %{vlv_only}
%patch198 -p1
%endif
cp %{S:2} Makefile
ln -s /usr/src/linux/drivers/platform drivers/
%if %{rename_symbols}
%patch200 -p1
%endif
%patch201 -p1
%if %{rename_symbols}
%patch202 -p1
# rename symbols
echo '#ifndef _DRM_RENAME_SYMBOLS_H
#define _DRM_RENAME_SYMBOLS_H' > include/rename-symbols.h
find drivers/gpu/drm -name '*.c' | xargs grep 'EXPORT_SYMBOL.*(' | \
  sed -e's/^.*(\(.*\));.*$/#define \1 _drm_kmp_\1/g' >> include/rename-symbols.h
echo '#endif' >> include/rename-symbols.h
%endif
%patch203 -p1
# intel-gtt
cp /usr/src/linux/drivers/char/agp/agp.h drivers/char/agp
%patch204 -p1
%if %{rename_modules}
%patch205 -p1
%endif
%patch206 -p1
#
# have both original and renamed module name in Module.supported
%if %{rename_modules}
sed -i -e's/\(drm\.ko\)/\1\ndrm-kmp-drm.ko/' \
    -e's/\(drm_kms_helper\.ko\)/\1\ndrm-kmp-drm_kms_helper.ko/' \
    -e's/\(ttm\.ko\)/\1\ndrm-kmp-ttm\.ko/' \
    Module.supported
%endif
%if %{vlv_only}
sed -i -e's/\(i915\.ko\)/\1\ni915-vlv.ko/' Module.supported
%endif

%build
# copy to each flavor
for flavor in %flavors_to_build; do
    rm -rf build-$flavor
done
set -- *
for flavor in %flavors_to_build; do
  mkdir -p build-$flavor && cp -al "$@" build-$flavor
done
for flavor in %flavors_to_build; do
  make %{?jobs:-j %jobs} -C /usr/src/linux-obj/%_target_cpu/$flavor \
    M=$(pwd)/build-$flavor \
%if %{rename_modules}
    KMPPREFIX=drm-kmp- \
%endif
%if %{vlv_only}
    KMPSUFFIX=-vlv \
    GTT=n \
%else
    GTT=m \
%endif
    CONFIG_DRM_TTM= \
    CONFIG_DRM_RADEON= \
    CONFIG_DRM_AST= \
    CONFIG_DRM_CIRRUS_QEMU= \
    CONFIG_DRM_MGAG200= \
    CONFIG_DRM_TDFX= \
    CONFIG_DRM_R128= \
    CONFIG_DRM_I810= \
    CONFIG_DRM_MGA= \
    CONFIG_DRM_SIS= \
%if %{vlv_only}
    CONFIG_DRM_VIA= \
    CONFIG_DRM_SAVAGE= \
    CONFIG_DRM_I2C_CH7006= \
    CONFIG_DRM_I2C_SIL164=
%else
    CONFIG_DRM_VIA=
%endif
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
export BRP_PESIGN_FILES="*.ko"
for flavor in %flavors_to_build; do
  make -C /usr/src/linux-obj/%_target_cpu/$flavor \
    M=$(pwd)/build-$flavor \
%if %{rename_modules}
    KMPPREFIX=drm-kmp- \
%endif
%if %{vlv_only}
    KMPSUFFIX=-vlv \
    GTT=n \
%else
    GTT=m \
%endif
    modules_install \
    CONFIG_DRM_TTM= \
    CONFIG_DRM_RADEON= \
    CONFIG_DRM_AST= \
    CONFIG_DRM_CIRRUS_QEMU= \
    CONFIG_DRM_MGAG200= \
    CONFIG_DRM_TDFX= \
    CONFIG_DRM_R128= \
    CONFIG_DRM_I810= \
    CONFIG_DRM_MGA= \
    CONFIG_DRM_SIS= \
%if %{vlv_only}
    CONFIG_DRM_VIA= \
    CONFIG_DRM_SAVAGE= \
    CONFIG_DRM_I2C_CH7006= \
    CONFIG_DRM_I2C_SIL164=
%else
    CONFIG_DRM_VIA=
%endif
done
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d/
cp %{S:12} %{buildroot}%{_sysconfdir}/modprobe.d/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 24 2015 eich@suse.com
- drm/i915: Ignore "digital output" and "not HDMI output" bits
  for eDP detection - add patch (bsc#949192).
* Thu Jul  2 2015 eich@suse.com
- Add a *-vlv suffix to the i915 module. This way both this and
  the i915 module can coexist. Since the i915 module claims to
  also support VLV add a modprobe rule (FATE#317933, bnc#930085).
* Thu Jul  2 2015 eich@suse.com
- Change the way modules are renamed: do the renaming in the
  Makefile so that the module name is changed in the object file
  as well  (FATE#317933, bnc#930085).
* Sat Jun 20 2015 eich@suse.com
- Added big fat note that this driver is for Valley View only
  both to spec file and to driver module (FATE#317933, bnc#930085).
* Fri Jun 19 2015 eich@suse.com
- Corrected Module.supported to get all modules correctly marked
  as supported (FATE#317933, bnc#930085).
* Fri May 22 2015 eich@suse.com
- Add 'Recommends: xf86-video-intel' to preamble file
  (FATE#317933, bnc#930085).
* Mon May 11 2015 eich@suse.com
- 198-Limit-supported-ASICs-to-ASICs-in-systems-listed-in-FATE-317933.patch
  Limit supported systems to ASIC found on systems listed in FATE 317933:
  Intel PCI  ID: 0x0f31 (FATE#317933, bnc#930085).
* Tue Mar  3 2015 tiwai@suse.de
- Fix build for kernel trees containing linux/export.h
- Fix license tag
* Tue Feb 17 2015 tiwai@suse.de
- Fix occasional modesest problem on BYT (bnc#918161):
  drm-i915-On-VLV-enable-cursor-plane-briefly-after-enabling-the-display-plane.patch
* Fri Dec 12 2014 tiwai@suse.de
- Rather backport sg_page_iter stuff locally instead of converting
  (wrongly) to the old code: 140-sg_page_iter-add.diff
  dropped patch: 140-revert-sg_iter.diff
* Fri Dec 12 2014 tiwai@suse.de
- Refresh 136-fix-CONFIG_INTEL_IOMMU-references.diff to fit with
  all entries
- Limit the build only to pae and default flavors
  (xen is known to be broken without extra patches)
* Fri Nov 28 2014 tiwai@suse.de
- Fix bogus DPCD reads
* Thu Nov 27 2014 tiwai@suse.de
- Fix kernel warnings at S3/S4
- Fix kernel warnings after DP unplug
* Wed Nov 26 2014 tiwai@suse.de
- Support for Intel i915 Baytrail / ValleyView (FATE#317933);
  update to 3.12.33 kernel base with SLE12 drm patches, build only
  for Baytrail, all other modules and PCI entries are excluded
- Include fix patches up to 3.13+ relevant with ValleyView
- Renamed drm and helper modules for avoiding conflict with the
  original kernel modules
- Add secureboot signatures
* Tue Apr  2 2013 tiwai@suse.de
- Fix the wrong check of Intel IOMMU, check CONFIG_DMAR instead
  (bnc#808010)
* Wed Mar 13 2013 tiwai@suse.de
- Disable broken patch for eDP on AiO desktop:
  096-17-drm-i915-set-TRANSCODER_EDP-even-earlier.patch
- Add standard modes for eDP, too
  099-07-i915-edp-add-standard-modes.diff
* Mon Mar 11 2013 tiwai@suse.de
- Fix eDP breakages on HP Z1 (bnc#807362)
  099-97-Revert-drm-i915-try-to-train-DP-even-harder.diff
  099-98-drm-i915-Use-the-fixed-pixel-clock-for-eDP-in-intel_.diff
* Mon Mar 11 2013 tiwai@suse.de
- Fixed a wrong revert in the previous commit :-<
- Backported yet more fix patches from 3.9-rc2:
  096-56-drm-i915-wait_event_timeout-s-timeout-is-in-jiffies.patch
  096-57-drm-i915-Don-t-clobber-crtc-fb-when-queue_flip-fails.patch
  096-58-drm-i915-Fix-Haswell-CRW-PCI-IDs.patch
  096-59-DRM-i915-On-G45-enable-cursor-plane-briefly-after-en.patch
  096-60-drm-i915-Increase-the-RC6p-threshold.patch
  096-61-drm-i915-Fix-incorrect-definition-of-ADPA-HSYNC-and-.patch
  096-62-drm-i915-Turn-off-hsync-and-vsync-on-ADPA-when-disab.patch
  096-63-drm-i915-Fixup-hpd-irq-register-setup-ordering.patch
  096-64-drm-i915-enable-irqs-earlier-when-resuming.patch
  096-65-drm-i915-also-disable-south-interrupts-when-handling.patch
* Thu Mar  7 2013 tiwai@suse.de
- Revert 096-08-drm-i915-write-backlight-harder.patch due to
  breakage in S4 splash screen
- Add three fix patches (bnc#806406)
  096-19-drm-i915-don-t-save-restore-DSPARB-on-gen5.patch
  096-18-drm-i915-only-disable-enabled-planes-on-intel_fb_res.patch
  096-17-drm-i915-set-TRANSCODER_EDP-even-earlier.patch
* Wed Feb 27 2013 tiwai@suse.de
- Backport upstream fixes:
  096-07-drm-i915-Fix-RC6VIDS-encode-decode.patch
  096-08-drm-i915-write-backlight-harder.patch
  096-09-drm-i915-disable-shared-panel-fitter-for-pipe.patch
  096-10-drm-i915-remove-bogus-mutex_unlock-from-error-path.patch
  096-11-drm-i915-Set-i9xx-lvds-clock-limits-according-to-spe.patch
  096-12-drm-i915-Set-i9xx-sdvo-clock-limits-according-to-spe.patch
  096-13-drm-i915-Fix-PIPE_CONTROL-DW-QW-write-through-global.patch
  096-14-drm-i915-Use-HAS_L3_GPU_CACHE-in-i915_gem_l3_remap.patch
  096-15-drm-i915-Disable-WC-PTE-updates-to-w-a-buggy-IOMMU-o.patch
  096-16-drm-i915-Handle-untiled-planes-when-computing-their-.patch
* Tue Feb 26 2013 tiwai@suse.de
- Build only drm/i915 stuff, as we don't need other drivers for
  HP BNB machines
- Enable builds only for default and pae kernels
- Clean up / fix package descriptions
* Mon Feb 18 2013 tiwai@suse.de
- Add a workaround for AMD fglrx Muxless for testing, disabled as
  default
* Thu Jan 31 2013 tiwai@suse.de
- Fix the access to non-existing register on HSW port-A for eDP
  (bnc#795667)
* Mon Jan 28 2013 tiwai@suse.de
- Backport drm/i915 stable fixes from 3.8-rc6:
  096-04-drm-i915-Disable-AsyncFlip-performance-optimisations.patch
  096-05-drm-i915-GFX_MODE-Flush-TLB-Invalidate-Mode-must-be-.patch
- Add renamed module files to Module.supported for marking the
  modules properly, too
* Thu Jan 17 2013 tiwai@suse.de
- Yet more stable fixes from 3.8-rc5:
  096-01-drm-i915-eDP-do-not-write-power-sequence-registers-f.patch
  096-02-drm-i915-Invalidate-the-relocation-presumed_offsets-.patch
  096-03-drm-i915-fix-FORCEWAKE-posting-reads.patch
* Thu Jan 10 2013 tiwai@suse.de
- Add two stable fix patches from 3.8-rc4 for fixing ILK hangup
  and Oops: 095-*.patch
* Tue Jan  8 2013 tiwai@suse.de
- Backport stable fixes from 3.8-rc3
- Disable the revert patch for pcie_capability_*() for the recent
  SP3 kernel, as it supports now these functions
* Mon Dec 10 2012 tiwai@suse.de
- updated to intel-next-20121208-g97a19a2 for more HSW and other
  fixes (to be merged to 3.8-rc1);
  VGA output works with HSW now
- backport missing patches from intel-fixes-20121208, including
  the regression fix for IVY laptops
  086-drm-i915-fix-hsw_fdi_link_train-retry-code.patch
  087-drm-i915-reject-modes-the-LPT-FDI-receiver-can-t-han.patch
  088-drm-i915-add-support-for-mPHY-destination-on-intel_s.patch
  089-drm-i915-add-lpt_init_pch_refclk.patch
  090-drm-i915-set-the-LPT-FDI-RX-polarity-reversal-bit-wh.patch
  091-drm-i915-disable-cpt-phase-pointer-fdi-rx-workaround.patch
  092-drm-i915-Fix-shifted-screen-on-top-of-LVDS-on-IVY-la.patch
- fix the build breakage due to pm_qos use
- fix the build breakage due to yet more simple_open use
- remove obsolete patch79
- renumbered suse patches
* Fri Dec  7 2012 tiwai@suse.de
- Enable mgag200, cirrus and ast KMS only in secure boot mode as
  default for compatibility with SP2 and older;
  if user still wants to use KMS of these devices in the normal
  boot, pass magg200_modeset=1 (or such) module option
* Thu Dec  6 2012 tiwai@suse.de
- Backport 3.7-rc7/8 fix patches:
  079-drm-i915-Fix-pte-updates-in-ggtt-clear-range
  080-drm-i915-Decouple-the-object-from-the-unbound-list-b
  081-drm-i915-Don-t-allow-ring-tail-to-reach-the-same-cac
  082-drm-i915-do-not-access-BLC_PWM_CTL2-on-pre-gen4-hard
  083-drm-i915-Clear-the-existing-watermarks-for-g4x-when-
  084-drm-i915-fixup-l3-parity-sysfs-access-check
  085-drm-i915-Close-race-between-processing-unpin-task-an
- Fix build breakage with the latest SP3 kernel including
  simple_open()
* Wed Nov 28 2012 tiwai@suse.de
- Updated to intel-next-20121123-g70b12bb:
  most of previous fix patches have been merged
- Remove 081-i915-enable-preliminary-support.diff as Haswell is
  supported officially now (only ValleyView is disabled as default)
- Fix the build issue due to the new RCU lock
- Revert monotonic vlank time patches due to lack of the exported
  ktime_get_monotonic_offset() in SLE11 kernel
- A few more 3.7-rc fix patches, including ILK rc6 revert
- Add missing Xen3 fix patches from FACTORY kernel
- Add the check of the presence of linux/export.h during build
* Fri Nov 16 2012 tiwai@suse.de
- Add HSW DP audio enablement patch (FATE#313712)
* Wed Nov 14 2012 tiwai@suse.de
- Build only for ix86 and x86_64
* Tue Nov 13 2012 tiwai@suse.de
- Build from intel-next-20121112-gb343cd94 and merge back upstream
  Fix patches from 3.7-rc5 for supporting the latest Intel and AMD
  chipset (FATE#313712)
- Enable the build of ast, cirrus and mgag200 KMS drivers for
  supporting secure boot
- Disable the build of old drm drivers: tdfx, r128, i810, mga, sis
  via and savage
- Merge pending SUSE patches from SP2 tree
- Enable preliminary haswell support option that is turned off in
  the upstream
- Enable the builds for all kernel flavors
* Mon Jul 16 2012 tiwai@suse.de
- 038-drm-i915-don-t-enable-plane-pipe-and-PLL-prematurely.patch:
  Fix the screen garbage at entering S4 or modeset (bnc#765800)
* Tue Jun 19 2012 tiwai@suse.de
- 036-drm-i915-lvds-disable-at-modeset-for-hp-probook.diff,
  037-drm-i915-Sanitize-BIOS-debugging-bits-from-PIPECONF.diff:
  Fix the broken LVDS output on HP ProBook (bnc#765800)
* Mon Dec 12 2011 tiwai@suse.de
- 131-drm-i915-Prevent-racy-removal-of-request-from-client.patch:
  A possible fix backported from stable tree (bnc#736131)
* Thu May  5 2011 tiwai@suse.de
- 035-drm-i915-Restore-missing-command-flush-before-interr.patch,
- 129-drm-Hold-the-mode-mutex-whilst-probing-for-sysfs-sta.patch,
  130-drm-i915-Replace-vblank-PM-QoS-with-Interrupt-Based-.patch:
  Backport stable patches from 2.6.39-rc1 (bnc#691912)
- 128-drm-i915-dp-Sanity-check-eDP-existence.patch:
  Upstream patch for fixing eDP/LVDS conflict on Fossil
- 020-dont-enable-edp-when-lvds-is-present.diff:
  Obsoleted by the above
- 124-drm-fix-unsigned-vs-signed-comparison-issue-in-modes.patch,
  125-drm-i915-fix-memory-corruption-with-GM965-and-4GB-RA.patch,
  126-drm-i915-panel-The-backlight-is-enabled-if-the-curre.patch,
  127-drm-i915-make-DP-training-try-a-little-harder.patch:
  stable patch backports from 2.6.38-rc8 (bnc#691912)
* Thu May  5 2011 dmueller@suse.de
- add preamble to pull in the right drm kmp
* Fri Mar 25 2011 tiwai@suse.de
- 021-drm-keep-dpms-consistent.diff: Deleted, as this causes
  another regression on PineView (bnc#681134)
  DPMS consistency needs to be fixed differently.
* Mon Feb 21 2011 tiwai@suse.de
- Fix regression in backlight control on GM45 (bnc#672946)
* Mon Feb 21 2011 tiwai@suse.de
- Revert 123-drm-i915-Fix-resume-regression-from-5d1d0cc.patch
  as this regresses again regarding PineView S4
* Wed Feb 16 2011 tiwai@suse.de
- 120-drm-i915-Invalidate-TLB-caches-on-SNB-BLT-BSD-rings.patch,
  121-drm-i915-sdvo-If-we-have-an-EDID-confirm-it-matches-.patch,
  122-drm-i915-tv-Use-polling-rather-than-interrupt-based-.patch,
  123-drm-i915-Fix-resume-regression-from-5d1d0cc.patch:
  Backport stable fixes from v2.6.38-rc5
- Refreshed rest patches
* Mon Feb 14 2011 tiwai@suse.de
- Backport patches from upstream v2.6.38-rc3+
- 033-drm-fix-fb-switch-after-s4.diff:
  Fix fb breakage via hotplug after S4 (bnc#670311)
- 021-drm-keep-dpms-consistent.diff:
  Missing fix for S3/S4 in upstream fixes (bnc#659619)
* Mon Jan 31 2011 tiwai@suse.de
- 032-drm-i915-redetect-connections-at-resume.diff:
  Fix wrongly set-up fb via hotplug after S3/S4 (bnc#658764)
* Mon Jan 31 2011 tiwai@suse.de
- 031-drm-Simplify-and-defend-later-checks-when-disabling-.patch:
  Make VT-hang fix more robust (bnc#667231)
* Sat Jan 29 2011 tiwai@suse.de
- 030-drm-Don-t-switch-fb-when-disabling-an-output.patch:
  Fix hang-up with VT switch (bnc#667231)
* Mon Jan 24 2011 tiwai@suse.de
- Backported upstream fix patches by Chris Wilson
  (bnc#658764, bnc#664149)
* Fri Jan 21 2011 tiwai@suse.de
- Revised 026-fix-dpms-at-resume.diff
- 027-drm-i915-Fix-VGA-output-regression-upon-S3-resume.patch:
  Fix S3 resume problem with external monitor (bnc#658764)
- Remove unused preamble
* Fri Jan 21 2011 tiwai@suse.de
- 026-fix-dpms-at-resume.diff: Fix DPMS setup at resume
  (bnc#664149)
* Wed Jan 19 2011 tiwai@suse.de
- 025-revert-broken-vga-output-at-boot.diff: Fix LVDS status
  registers for PCH, eventually fixes the VGA output at cold boot
  (bnc#663581)
* Wed Jan 12 2011 tiwai@suse.de
- 100-drm-radeon-kms-adjust-quirk-for-acer-laptop.patch,
  101-drm-radeon-kms-add-quirk-for-Mac-Radeon-HD-2600-card.patch,
  102-drm-Restore-the-old_fb-upon-modeset-failure.patch,
  103-drm-i915-check-eDP-encoder-correctly-when-setting-mo.patch,
  104-drm-i915-crt-Check-for-a-analog-monitor-in-case-of-D.patch,
  105-drm-i915-fix-calculation-of-eDP-signal-levels-on-San.patch,
  106-drm-i915-sdvo-Defer-detection-of-output-capabilities.patch,
  107-drm-i915-panel-Only-record-the-backlight-level-when-.patch:
  Backport stable-kernel patches from 2.6.38-rc1 merge window
* Sat Jan  8 2011 sndirsch@novell.com
- 024-AOpen_i915GMm-HFS_mobo.diff
  * fix false detection of LVDS on AOpen i915GMm-HFS motherboard
* Sat Jan  8 2011 sndirsch@novell.com
- updated to linux-2.6.37
- adjusted 020-dont-enable-edp-when-lvds-is-present.diff
- removed obsolete
  022-Revert-drm-i915-bios-Reverse-order-of-100-120-Mhz-SS.patch
* Thu Dec 23 2010 tiwai@suse.de
- updated to linux-2.6.37-rc7+ (after pull of drm-fixes tree)
- add two reverts to fix build and regression (as in previous
  commit)
* Wed Dec 22 2010 tiwai@suse.de
- revert 0005-drm-i915-bios-Reverse-order-of-100-120-Mhz-SSC-clock.patch
  that results in blank LVDS on Heart.
* Wed Dec 22 2010 tiwai@suse.de
- patches from airlied/drm-2.6.git drm-fixes branch
* Tue Dec 21 2010 tiwai@suse.de
- Fix black screen with G33 by reverting the affecting patch
  (bko#25242)
- Clean up spec file, add some comments
* Thu Dec 16 2010 tiwai@suse.de
- drm: Recover DPMS properly after XRandr re-enablement
  (bnc#659619)
* Mon Dec 13 2010 tiwai@suse.de
- temporary fix for eDP / LVDS conflict on Fossil
* Thu Dec  9 2010 tiwai@suse.de
- linux-v2.6.37-rc5-62-g6313e3c:
  * obsoleted 018-intel-gtt-2.6.37-rc1-fixes.diff
  * obsoleted 023-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch
  * refreshed others
* Tue Dec  7 2010 sndirsch@novell.com
- no longer reverse apply 022-fix_for_hotplug_reporting.diff
  (kernel bug #24432)
- adjusted TODO
* Mon Dec  6 2010 sndirsch@novell.com
- reverse apply previous patch 022-fix_for_hotplug_reporting.diff
- readd previous patch
  023-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch
- adjusted TODO
* Fri Dec  3 2010 tiwai@suse.de
- linux-v2.6.37-rc4-153-g59e57c6
  * obsoletes previous
    020-force_dpmson_for_all_connectors_when_setting_new_crtc_config.diff
  * reenables previous 022-fix_for_hotplug_reporting.diff (TODO)
  * disables previous
    023-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch (TODO)
- adjusted patches
  * 004-radeon-i2c-fix-new-ops.diff
  * 008-revert-slowwork-conversion.diff
  * 010-revert-shrinker-changes.diff
  * 011-revert-fb-console-force-output.diff
  * 016-dma_set_coherent_mask-hack.diff
- renamed patches
  * 024-Revert-drivers-gpu-Use-vzalloc.patch -->
    019-revert-vzalloc.diff (adjusted)
  * 025-agp-build-fix.diff --> 097-agp-build-fix.diff (adjusted)
- added TODO
* Tue Nov 30 2010 tiwai@suse.de
- renamed from intel-drm-kmp-* to drm-kmp-*
* Mon Nov 29 2010 tiwai@suse.de
- disable 022-fix_for_hotplug_reporting.diff, as it breaks
  externa-only mode via Fn-F4.
* Mon Nov 29 2010 tiwai@suse.de
- fix oops with IronLake
- refresh fuzzy patches
* Thu Nov 25 2010 tiwai@suse.de
- disable set_pages_attr_wc hack, requiring the new kernel
* Thu Nov 25 2010 sndirsch@novell.com
- no longer build for SandyBridge only, i.e. enable support also
  for other Intel GPUs
* Wed Nov 24 2010 sndirsch@novell.com
- removed 019-drm-i915-Fix-hangcheck-to-handle-multiple-rings.patch
* Wed Nov 24 2010 sndirsch@novell.com
- intel-drm-fixes 20101123-0c1dab8
- obsoletes fix_for_VGA_flickering.diff
- adjusted 017-intel-2.6.37-rc1-fixes.diff
- 024-Revert-drivers-gpu-Use-vzalloc.patch
  * Revert "drivers/gpu: Use vzalloc" (to fix build)
- renamed a bunch of patches
  * 0001-drm-i915-Fix-hangcheck-to-handle-multiple-rings.patch -->
    019-drm-i915-Fix-hangcheck-to-handle-multiple-rings.patch
  * force_dpmson_for_all_connectors_when_setting_new_crtc_config.diff -->
    020-force_dpmson_for_all_connectors_when_setting_new_crtc_config.diff
  * fix_for_hotplug_reporting.diff -->
    022-fix_for_hotplug_reporting.diff
  * 0001-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch -->
    023-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch
* Fri Nov 19 2010 sndirsch@novell.com
- 0001-drm-i915-Always-set-the-DP-transcoder-config-to-8BPC.patch
  * fixes Displayport support
* Wed Nov 17 2010 sndirsch@novell.com
- force_dpmson_for_all_connectors_when_setting_new_crtc_config.diff
  * When setting a new crtc configuration, force the DPMS state of
    all connectors to ON. Otherwise, they'll be left at OFF and a
    future mode set that disables the specified connector will not
    turn the connector off. (bnc #647274)
- fix_for_VGA_flickering.diff
  * Both IBX and CPT have an automatic hotplug detection mode which
    appears to work reliably enough that we can dispense with the
    manual force hotplug trigger stuff. This means that hotplug
    detection is as simple as reading the current hotplug register
    values.
    The first time the hotplug detection is activated, the code
    synchronously waits for a hotplug sequence in case the hardware
    hasn't bothered to do a detection cycle since being initialized.
- fix_for_hotplug_reporting.diff
  * In order to correctly report monitor connected status changes,
    the previous monitor status must be recorded in the
    connector->status value instead of being discarded.
* Thu Nov 11 2010 sndirsch@novell.com
- prepared build for drm-intel-next;
  010-revert-shrinker-changes.diff/017-intel-2.6.37-rc1-fixes.diff
  still needs to be adjusted or are (partly) obsolete, new patches
  need to be added to fix build
* Thu Nov 11 2010 sndirsch@novell.com
- 0001-drm-i915-Fix-hangcheck-to-handle-multiple-rings.patch
  * drm/i915: Fix hangcheck to handle multiple rings (kernel bug
    [#22752])
* Wed Nov 10 2010 sndirsch@novell.com
- switched to intel-drm-fixes branch (20101110-6966945)
- fixes broken 2D/3D rendering (bfo #31524)
- obsoletes the following patches
  * 0001-agp-intel-restore-cache-behavior-on-sandybridge.patch
  * 0001-drm-i915-Apply-big-hammer-to-serialise-buffer-access.patch
  * 0001-drm-i915-Fix-KMS-regression-on-Sandybridge-CPT.patch
  * 019-intel-gtt-gen6-pte-flags-fix.diff
* Wed Nov 10 2010 sndirsch@novell.com
- 0001-agp-intel-restore-cache-behavior-on-sandybridge.patch
  * possibly supposed to fix the incorrect caching of the scanout,
    but made things worse (bfo #31524)
* Wed Nov 10 2010 sndirsch@novell.com
- 0001-drm-i915-Apply-big-hammer-to-serialise-buffer-access.patch
  * possibly supposed to fix virtual corruption with OpenGL
    applications, but it turned out that it doesn't (bfo #31524)
* Wed Nov 10 2010 sndirsch@novell.com
- 0001-drm-i915-Fix-KMS-regression-on-Sandybridge-CPT.patch
  * fixes black screen on SugarBay platform, which turned out to
    be a KMS regression bug
* Wed Nov  3 2010 tiwai@suse.de
- fix intel-gtt
* Wed Nov  3 2010 sndirsch@novell.com
- preamble: Provides/Obsoletes intel-agp-kmp
* Wed Nov  3 2010 tiwai@suse.de
- build intel-agp here as well since intel-drm requires intel-gtt
  module
* Tue Nov  2 2010 tiwai@suse.de
- 2.6.37-rc1
* Mon Oct 25 2010 tiwai@suse.de
- 2.6.36-final
- Backport DisplayPort/HDMI audio patcehs (bnc#647497)
* Tue Oct 19 2010 tiwai@suse.de
- 2.6.36-rc8
* Tue Oct  5 2010 tiwai@suse.de
- 2.6.36-rc6-119
* Mon Oct  4 2010 tiwai@suse.de
- 2.6.36-rc6-84; including a few drm/i915 fixes
* Wed Sep 29 2010 tiwai@suse.de
- 2.6.36-rc6
* Mon Sep 27 2010 tiwai@suse.de
- updated to 2.6.36-rc5-151
- sandybridge only
* Tue Aug 31 2010 tiwai@suse.de
- updated to 2.6.36-rc3
* Fri Aug 20 2010 tiwai@suse.de
- updated 2.6.36-rc1
- fixed forgotten sysfs and shrinker changes
* Tue Aug 17 2010 tiwai@suse.de
- add new id 8086:0116
* Tue Aug  3 2010 tiwai@suse.de
- updated to linux-2.6.35 final
* Fri Jul 23 2010 tiwai@suse.de
- updated to linux-2.6.35-rc6
* Mon Jul 12 2010 tiwai@suse.de
- updated to linux-2.6.35-rc4 plus (almsot rc5); hibernation fix
  patch is already included
* Mon Jun 21 2010 tiwai@suse.de
- fix Oops in delayed_slow_work_enqueue()
* Mon Jun 14 2010 tiwai@suse.de
- updated to linux-2.6.35-rc3
* Thu May 27 2010 tiwai@suse.de
- updated to linux-2.6.34 final
* Tue May 11 2010 tiwai@suse.de
- updated to linux-2.6.34-rc7
* Sun Apr 25 2010 tiwai@suse.de
- fix patch from Intel:
  https://bugzilla.novell.com/show_bug.cgi?id=567723#c123
* Thu Apr 22 2010 tiwai@suse.de
- adhoc ironlake s4 VGA fix
* Tue Apr 20 2010 tiwai@suse.de
- updated to v2.6.35-rc5
- build only pae
* Fri Apr  9 2010 tiwai@suse.de
- updated to v2.6.34-rc3-410-gd620a7c
* Mon Mar 29 2010 tiwai@suse.de
- initial version
